0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
matrix_operation.hpp File Reference

GLM_GTX_matrix_operation More...

Go to the source code of this file.

## Functions
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 2, 2, T, P > | diagonal2x2 (vec< 2, T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 2, 3, T, P > | diagonal2x3 (vec< 2, T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 2, 4, T, P > | diagonal2x4 (vec< 2, T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 3, 2, T, P > | diagonal3x2 (vec< 2, T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 3, 3, T, P > | diagonal3x3 (vec< 3, T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 3, 4, T, P > | diagonal3x4 (vec< 3, T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 4, 2, T, P > | diagonal4x2 (vec< 2, T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 4, 3, T, P > | diagonal4x3 (vec< 3, T, P > const &v)
| Build a diagonal matrix. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 4, 4, T, P > | diagonal4x4 (vec< 4, T, P > const &v)
| Build a diagonal matrix. More...

## Detailed Description

GLM_GTX_matrix_operation

See also
  GLM Core (dependence)

Definition in file matrix_operation.hpp.